Bug 813958 - PXE localboot option recursively loops with booting local drive
PXE localboot option recursively loops with booting local drive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 16:53 EDT by Tim Miller
Modified: 2015-02-17 09:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:14:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Miller 2012-04-18 16:53:10 EDT
Description of problem:
My systems use PXE to boot in order to determine whether to boot the local hard drive or kickstartable and reimage.

When my TFTP/PXE system is running RHEL4 (syslinux 2.11) the setup works just fine.

When my TFTP/PXE system is running RHEL6 (syslinux 4.02) with identical configuration files, my IBM HS22 blades recursive call the PXE boot mechanism until it exhausts "low" memory.

By changing the BIOS boot order, I have verified that the RHEL6 OS installation on the booting client does boot just fine.  So, PXE/SYSLINUX is not properly handing off to the local drive boot option.

Version-Release number of selected component (if applicable):
syslinux-4.02-4.el6.x86_64
syslinux-tftpboot-4.02-4.el6.x86_64 (package pxelinux.0 is located in)

How reproducible:
every time.

Additional info:

This apparently has been observed elsewhere but not yet resolved upstream.  A SYSLINUX mailing list thread of the conversation can be found here:

 http://web.archiveorange.com/archive/v/mwjwmC4yfNM0XYZ87y3B#gkk0G71zU0ZlW8d

As in the thread, I have tried 'localboot 0' and 'localboot -1' options in my pxelinux.cfg configuration files both options behave the same:  PXE looping until memory exhaustion.

Also, I have taken the pxelinux.0 fle from 2.11 (RHEL4) and copied onto the RHEL6 system and the clients boot as expected.  There is clearly a problem with the 4.02 pxelinux.0 file.

NOTE:  the thread from the mailing list identifies the version of code where the bug was introduced!!!  Perhaps that can be backed out fairly easily?
Comment 2 David Cantrell 2012-04-30 13:50:40 EDT
This needs to be addressed upstream, moving over to Fedora.
Comment 4 Fedora End Of Life 2013-04-03 13:03:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:07:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:14:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.